Gtk2::IMContext(3)

NAME
Gtk2::IMContext - wrapper for GtkIMContext

HIERARCHY
  Glib::Object
  +----Gtk2::IMContext

METHODS

  $context->set_client_window ($window)

•   $window (Gtk2::Gdk::Window or undef)

  $context->set_cursor_location ($area)

•   $area (Gtk2::Gdk::Rectangle)

  boolean = $context->delete_surrounding ($offset, $n_chars)

•   $offset (integer)

•   $n_chars (integer)

  boolean = $context->filter_keypress ($key_event)

•   $key_event (Gtk2::Gdk::Event)

  $context->focus_in

  $context->focus_out

  list = $context->get_preedit_string

  $context->reset

  list = $context->get_surrounding

  $context->set_surrounding ($text, $cursor_index)

•   $text (string)

•   $cursor_index (integer)

  $context->set_use_preedit ($use_preedit)

•   $use_preedit (boolean)

SIGNALS

commit (Gtk2::IMContext, string)
boolean = delete-surrounding (Gtk2::IMContext, integer, integer)
preedit-changed (Gtk2::IMContext)
preedit-end (Gtk2::IMContext)
preedit-start (Gtk2::IMContext)
boolean = retrieve-surrounding (Gtk2::IMContext)

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.